Skip to content

Deletes a publication target that no dispatching, uncertain or abandoned intent still holds.

DELETE
/v1/m/gitpublish/targets/{id}
curl --request DELETE \
--url https://example.com/v1/m/gitpublish/targets/example \
--header 'Authorization: Bearer <token>'

Deletes a publication target that no dispatching, uncertain or abandoned intent still holds.

id
required
string

Path parameter id.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}